<div dir="ltr"><div class="gmail_extra"><div class="gmail_quote">2016-02-18 13:02 GMT+03:00 Pavel Tikhomirov <span dir="ltr">&lt;<a href="mailto:ptikhomirov@virtuozzo.com" target="_blank">ptikhomirov@virtuozzo.com</a>&gt;</span>:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">*Need Virtuozzo 7 installed<br>
<br>
First, make and put vzct.so plugin in criu default plugins dir and<br>
setup vzt-cpt vzt-rst scripts.<br>
<br>
Second, set core_pattern in VZ7CT, c/r with criu and check pattern<br>
persits.<br>
<br>
Signed-off-by: Pavel Tikhomirov &lt;<a href="mailto:ptikhomirov@virtuozzo.com">ptikhomirov@virtuozzo.com</a>&gt;<br>
---<br>
 test/vzct/run.sh | 49 +++++++++++++++++++++++++++++++++++++++++++++++++<br>
 1 file changed, 49 insertions(+)<br>
 create mode 100644 test/vzct/run.sh<br>
<br>
diff --git a/test/vzct/run.sh b/test/vzct/run.sh<br>
new file mode 100644<br>
index 0000000..ac38a32<br>
--- /dev/null<br>
+++ b/test/vzct/run.sh<br>
@@ -0,0 +1,49 @@<br>
+#!/bin/bash<br>
+VEID=$RANDOM<br>
+TEST_PATTERN=&quot;vzct-plugin-test&quot;<br>
+VZ_CPT=&quot;/usr/libexec/libvzctl/scripts/vz-cpt&quot;<br>
+VZ_RST=&quot;/usr/libexec/libvzctl/scripts/vz-rst&quot;<br>
+<br>
+function check_err {<br>
+       if [ $1 -ne 0 ]; then<br>
+               echo &quot;ERROR[$VEID]: $2&quot;<br>
+               exit 255<br>
+       fi<br>
+}<br>
+<br>
+set -x<br>
+<br>
+# Compile and copy plugin to default criu plugin dir<br>
+make<br>
+check_err $? &quot;Failed to compile vzct plugin&quot;<br>
+cp vzct.so /var/lib/criu<br>
+<br>
+# Fix vzctl scripts to give VZCT_ID to criu<br>
+grep VZCT_ID $VZ_CPT || sed -i &#39;s/criu dump/VZCT_ID=`basename \$VE_ROOT` criu dump/&#39; $VZ_CPT<br>
+grep VZCT_ID $VZ_RST || sed -i &#39;s/criu restore/VZCT_ID=`basename \$VE_ROOT` criu restore/&#39; $VZ_RST<br>
+<br>
+# Create and start VZCT<br>
+vzlist $VEID /dev/null 2&gt;&amp;1 || vzctl create $VEID --ostemplate centos-7-x86_64<br>
+check_err $? &quot;Failed to create CT $VEID&quot;<br>
+vzctl start $VEID --wait<br>
+check_err $? &quot;Failed to start CT $VEID&quot;</blockquote><div> </div><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"> </blockquote><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
+vzctl exec $VEID service httpd stop<br>
+check_err $? &quot;Failed to disable httpd in CT $VEID&quot;</blockquote><div><br></div><div>Sorry I should have removed these two lines above, they were for testing purposes, they are not needed now actually.</div><div> </div><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"> </blockquote><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
+<br>
+# Set kernel.core_pattern in VZCT<br>
+vzctl exec $VEID echo $TEST_PATTERN &gt; /proc/sys/kernel/core_pattern<br>
+check_err $? &quot;Failed to set kernel.core_pattern in CT $VEID&quot;<br>
+<br>
+# Suspend &amp; Resume<br>
+vzctl suspend $VEID<br>
+check_err $? &quot;Failed to suspend CT $VEID&quot;<br>
+vzctl resume $VEID<br>
+check_err $? &quot;Failed to resume CT $VEID&quot;<br>
+<br>
+# Check core_pattern is the same<br>
+NEW_PATTERN=$(vzctl exec $VEID &quot;cat /proc/sys/kernel/core_pattern&quot;)<br>
+if [ &quot;$TEST_PATTERN&quot; = &quot;$NEW_PATTERN&quot; ]; then<br>
+       echo &quot;PASS: core_pattern is same&quot;<br>
+else<br>
+       echo &quot;FAIL: core_pattern is wrong&quot;<br>
+fi<br>
<span class="HOEnZb"><font color="#888888">--<br>
1.9.3<br>
<br>
_______________________________________________<br>
CRIU mailing list<br>
<a href="mailto:CRIU@openvz.org">CRIU@openvz.org</a><br>
<a href="https://lists.openvz.org/mailman/listinfo/criu" rel="noreferrer" target="_blank">https://lists.openvz.org/mailman/listinfo/criu</a><br>
</font></span></blockquote></div><br></div></div>